Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Kacper Kowalik (xarthisius)" <xarthisius@g.o>
Subject: gentoo-x86 commit in sci-biology/mira: mira-3.2.1.ebuild ChangeLog
Date: Sat, 23 Jun 2012 11:17:49 +0000 (UTC)
xarthisius    12/06/23 11:17:49

  Modified:             mira-3.2.1.ebuild ChangeLog
  Log:
  Don't install docs that are no longer there, thanks to David Abbott for the patch
  
  (Portage version: 2.2.0_alpha110/cvs/Linux x86_64)

Revision  Changes    Path
1.2                  sci-biology/mira/mira-3.2.1.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-biology/mira/mira-3.2.1.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-biology/mira/mira-3.2.1.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-biology/mira/mira-3.2.1.ebuild?r1=1.1&r2=1.2

Index: mira-3.2.1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sci-biology/mira/mira-3.2.1.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- mira-3.2.1.ebuild	21 May 2011 19:34:23 -0000	1.1
+++ mira-3.2.1.ebuild	23 Jun 2012 11:17:49 -0000	1.2
@@ -1,6 +1,6 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sci-biology/mira/mira-3.2.1.ebuild,v 1.1 2011/05/21 19:34:23 weaver Exp $
+# $Header: /var/cvsroot/gentoo-x86/sci-biology/mira/mira-3.2.1.ebuild,v 1.2 2012/06/23 11:17:49 xarthisius Exp $
 
 EAPI="3"
 
@@ -24,6 +24,9 @@
 	dev-libs/expat"
 RDEPEND="${CDEPEND}"
 
+DOCS=( AUTHORS GETTING_STARTED NEWS README HELP_WANTED 
+	THANKS doc/3rdparty/scaffolding_MIRA_BAMBUS.pdf )
+
 src_prepare() {
 	find -name 'configure*' -or -name 'Makefile*' | xargs sed -i 's/flex++/flex -+/' || die
 	epatch "${FILESDIR}"/${PN}-3.0.0-asneeded.patch
@@ -37,16 +40,18 @@
 		--with-boost-thread=boost_thread-mt
 }
 
-src_compile() {
-	base_src_compile
-	# TODO: resolve docbook incompatibility for building docs
-	#if use doc; then emake -C doc clean docs || die; fi
-}
+#src_compile() {
+#	base_src_compile
+#	# TODO: resolve docbook incompatibility for building docs
+#	#if use doc; then emake -C doc clean docs || die; fi
+#}
 
 src_install() {
-	einstall || die
-	dodoc AUTHORS GETTING_STARTED NEWS README* HELP_WANTED THANKS INSTALL
-	find doc/docs/man -type f | xargs doman
-	find doc/docs/texinfo -type f | xargs doinfo
-	dobin "${WORKDIR}"/3rdparty/{sff_extract,qual2ball,*.pl}
+	base_src_install
+	dobin "${WORKDIR}"/3rdparty/{sff_extract,qual2ball,*.pl} || die
+}
+
+pkg_postinst() {
+	einfo "Documentation is no longer built, you can find it at:"
+	einfo "http://mira-assembler.sourceforge.net/docs/DefinitiveGuideToMIRA.html"
 }



1.15                 sci-biology/mira/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-biology/mira/ChangeLog?rev=1.15&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-biology/mira/ChangeLog?rev=1.15&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sci-biology/mira/ChangeLog?r1=1.14&r2=1.15

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sci-biology/mira/ChangeLog,v
retrieving revision 1.14
retrieving revision 1.15
diff -u -r1.14 -r1.15
--- ChangeLog	21 May 2011 19:34:23 -0000	1.14
+++ ChangeLog	23 Jun 2012 11:17:49 -0000	1.15
@@ -1,6 +1,10 @@
 # ChangeLog for sci-biology/mira
-# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sci-biology/mira/ChangeLog,v 1.14 2011/05/21 19:34:23 weaver Exp $
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/sci-biology/mira/ChangeLog,v 1.15 2012/06/23 11:17:49 xarthisius Exp $
+
+  23 Jun 2012; Kacper Kowalik <xarthisius.kk@...> mira-3.2.1.ebuild:
+  Don't install docs that are no longer there, thanks to David Abbott for the
+  patch
 
 *mira-3.2.1 (21 May 2011)
 





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in app-editors/gphpedit: gphpedit-0.9.98_rc1.ebuild ChangeLog gphpedit-0.9.91.ebuild
Next by thread:
gentoo-x86 commit in sci-chemistry/molden: molden-4.8-r2.ebuild ChangeLog molden-5.0.ebuild metadata.xml molden-4.8-r1.ebuild molden-4.8.ebuild molden-4.7-r1.ebuild
Previous by date:
gentoo-x86 commit in games-fps/quakeforge: quakeforge-0.5.5-r2.ebuild ChangeLog
Next by date:
gentoo-x86 commit in sci-chemistry/molden: molden-4.8-r2.ebuild ChangeLog molden-5.0.ebuild metadata.xml molden-4.8-r1.ebuild molden-4.8.ebuild molden-4.7-r1.ebuild


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.